﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.Web.UI.GridControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["GridData"] == null)
        {
            Session["GridData"] = GetDepartments(20);
            WebDataGrid1.DataSource = Session["GridData"];
            WebDataGrid1.DataBind();
        }
        else
        {
            WebDataGrid1.DataSource = Session["GridData"];
            WebDataGrid1.EnsureTemplates();
        }

    }

    protected void WebDataGrid1_Init(object sender, EventArgs e)
    {

    }

    private DataTable GetDepartments(int count)
    {
        DataTable dt = new DataTable("Departments");
        dt.Columns.Add("DepartmentID", typeof(int));
        dt.Columns.Add("DepartmentName", typeof(string));

        for (int i = 0; i < count; i++)
        {
            dt.Rows.Add(new object[] { i, string.Format("Department {0}", i) });
        }

        dt.PrimaryKey = new DataColumn[] { dt.Columns["DepartmentID"] };

        return dt;
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        Session["GridData"] = GetDepartments(10);
        WebDataGrid1.DataSource = Session["GridData"];
        WebDataGrid1.DataBind();
    }

    protected void WebDataGrid1_ItemCommand(object sender, HandleCommandEventArgs e)
    {

    }

    
}